Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand Class Reference

This command resizes original images stored in ezimage FieldType in given ContentType using the selected filter. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand:

## Public Member Functions
| __construct (PermissionResolver $permissionResolver, UserService $userService, ContentTypeService $contentTypeService, ContentService $contentService, SearchService $searchService, FilterManager $filterManager, IOServiceInterface $ioService, ExtensionGuesserInterface $extensionGuesser, ImagineInterface $imagine)

## Public Attributes
const | DEFAULT_ITERATION_COUNT = 25
const | DEFAULT_REPOSITORY_USER = 'admin'

## Protected Member Functions
| initialize (InputInterface $input, OutputInterface $output)
| configure ()

## Private Member Functions
| store (BinaryInterface $binary, Value $image)
| Copy of eZ\Bundle\EzPublishCoreBundle\Imagine\IORepositoryResolver::store() Original one cannot be used since original method uses eZ\Bundle\EzPublishCoreBundle\Imagine\IORepositoryResolver::getFilePath() so ends-up with image stored in _aliases instead of overwritten original image. More...

## Private Attributes
| $permissionResolver
| $userService
| $contentTypeService
| $contentService
| $searchService
| $filterManager
| $ioService
| $extensionGuesser
| $imagine

## Detailed Description

This command resizes original images stored in ezimage FieldType in given ContentType using the selected filter.

Definition at line 39 of file ResizeOriginalImagesCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::__construct | ( | PermissionResolver | $permissionResolver,
|  | UserService | $userService,
|  | ContentTypeService | $contentTypeService,
|  | ContentService | $contentService,
|  | SearchService | $searchService,
|  | FilterManager | $filterManager,
|  | IOServiceInterface | $ioService,
|  | ExtensionGuesserInterface | $extensionGuesser,
|  | ImagineInterface | $imagine
| ) |  |

Definition at line 71 of file ResizeOriginalImagesCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$contentService, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$contentTypeService, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$extensionGuesser, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$filterManager, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$imagine, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$ioService, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$permissionResolver, eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$searchService, and eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\$userService.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::configure | ( |  | ) |
| protected

Definition at line 104 of file ResizeOriginalImagesCommand.php.

## ◆ initialize()

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::initialize | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 95 of file ResizeOriginalImagesCommand.php.

## ◆ store()

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::store | ( | BinaryInterface | $binary,
|  | Value | $image
| ) |  |
| private

Copy of eZ\Bundle\EzPublishCoreBundle\Imagine\IORepositoryResolver::store() Original one cannot be used since original method uses eZ\Bundle\EzPublishCoreBundle\Imagine\IORepositoryResolver::getFilePath() so ends-up with image stored in _aliases instead of overwritten original image.

Parameters

  \Liip\ImagineBundle\Binary\BinaryInterface | $binary |
  \eZ\Publish\Core\FieldType\Image\Value | $image |

Exceptions

Definition at line 293 of file ResizeOriginalImagesCommand.php.

## Member Data Documentation

## ◆ $contentService

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$contentService
| private

Definition at line 54 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $contentTypeService

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$contentTypeService
| private

Definition at line 51 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $extensionGuesser

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$extensionGuesser
| private

Definition at line 66 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $filterManager

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$filterManager
| private

Definition at line 60 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $imagine

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$imagine
| private

Definition at line 69 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $ioService

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$ioService
| private

Definition at line 63 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $permissionResolver

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$permissionResolver
| private

Definition at line 45 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $searchService

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$searchService
| private

Definition at line 57 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ $userService

eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::$userService
| private

Definition at line 48 of file ResizeOriginalImagesCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand\__construct().

## ◆ DEFAULT_ITERATION_COUNT

const eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::DEFAULT_ITERATION_COUNT = 25

Definition at line 41 of file ResizeOriginalImagesCommand.php.

## ◆ DEFAULT_REPOSITORY_USER

const eZ\Bundle\EzPublishCoreBundle\Command\ResizeOriginalImagesCommand::DEFAULT_REPOSITORY_USER = 'admin'

Definition at line 42 of file ResizeOriginalImagesCommand.php.

The documentation for this class was generated from the following file:

- ResizeOriginalImagesCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.